% designate global variables and set default values

global voterlocs polvoty polvotx numpol numpol2 numvotes numit CTRANS...
   IP CP Isvotes H_IP H_CP H_Isvotes D_IP D_CP uncovratio covarinc

rand('state',sum(100*clock)); % resets random number generator based on clock value

numpol=15;  %sets up the number of possible policies on each dimension
numpol2=numpol^2;
numvotes=15;  %sets up the fineness of grid of voters
numit=1000;  %sets up number of election iterations

flag.startvals=0;						% flag for using random starting values

% sets up default uniform voter distribution
% mcecopt.voters='Uniform';				% text label for voter configuration
% voterlocs=ones(numvotes)/(numvotes.^2);
load vdist;
voterlocs = v0;
mcecopt.voters = 'Triangular Conflict';
flag.xpy = 0;

% set default as local uniform search
flag.sat = 1;                       % satsificing yes = 1, no = 0;
flag.ideo = 0;                      % ideological candidates yes = 1, no = 0;  normally no
flag.ideo2 = 0;                     % sophisticated ideological candidates yes = 1, no = 0; normally no
flag.sq = 1;                        % status quo based on challenger = 0, incumbent = 1
flag.startvals=0;
mcecopt.inc='Satisfice';
mcecopt.start='Random';
mcecopt.ideo='No';
cd searches
s_normal;  % normally global uniform
mcecopt.chl = text_search;
cd ..