% This is the main version of the new program

clear
mcec_setdef
mcec_init

main_menu=...
    ['========================= Main Menu =========================';
    ' 1.  Run simulations                                         ';
    ' 2.  Run a zero-intelligence baseline simulation             ';
    ' 3.  Set voters                                              ';
    ' 4.  Set challenger search                                   ';
    ' 5.  Other options                                           ';
    ' 6.  Show animation of prev run                              ';
    ' 7.  Exit to Keyboard                                        '; 
    ' 0.  Quit program                                            ';
    '============================================================='];

runflag = 1;
while runflag==1;
    home;
    disp(main_menu);
    inp = upper(input('Enter the option number: ','s'));
    if not(isempty(inp));
        switch inp;
        case {'1','R'},
            mcec_run
            mcec_results
            pause
        case {'2','Z'},
            mcec_run_zero
            mcec_results
            pause
        case {'P'} % ideologically motivated parties, with satisficing and status quo dep...
            mcec_run_ideo
            mcec_results
            pause
        case {'3','V'},  
            mcec_setvoters
        case {'4','C'},
            mcec_setsearch
        case {'5','O'},
            mcec_setother
        case {'6','S'},
            mcec_animate
        case {'U'}
            mcec_anim2 % animate showing uncovered set
        case {'7','K'},
            disp('Type "return" to get back to the menu')
            keyboard;
            cd ~/bendor/mcec
        case {'0','Q'},
            runflag = 0;
        end;
    end;
end;