% randomize
% 
% function y = randomize(x)
% returns a random index (i,j) given the matrix x of probabilities.
% note that the probability that y = (i,j) is x(i,j).

% [JW] this routine inherited from the rb set of code

function y = randomize(x);

siz = size(x);
x = reshape(x,siz(1)*siz(2),1);
x = x/sum(x);
xx = 1:size(x,1);
xx = xx(cumsum(x)>=rand);
y = ones(2,1);
y(2) = ceil(xx(1)/siz(1));
y(1) =xx(1) - (y(2)-1)*siz(1);