% create a challenger transition matrix for model with ideological preferences, but 
% put positive probability only if policy is in status quo's winset

mcec.ideo='Yes';
text_search='Sophisticated and policy-motivated';
mcecopt.inc=text_search;
mcecopt.chl=text_search;
flag.ideo = 1;
flag.sat = 0;
flag.sq = 1;

ideo.p1 = input('Enter ideal point 1 [x,y]: ');
ideo.v1 = input('Enter variance for ideal point 1: ');
ideo.v1 = eye(2)*ideo.v1;
ideo.p2 = input('Enter ideal point 2 [x,y]: ');
ideo.v2 = input('Enter variance for ideal point 2: ');
ideo.v2 = eye(2)*ideo.v2;
ideo.eps = input('Enter minimum probability: ');

T_AC = ctrans_ideo(1,ideo.p1,ideo.v1,1,ideo.eps);
T_BC = ctrans_ideo(1,ideo.p2,ideo.v2,1,ideo.eps);

if flag.xpy == 0
    XPY = strictpref;
    flag.xpy = 1
end

for i=1:numpol
    for j=1:numpol
        TW=zeros(numpol);
        TW=pick(XPY',[i,j]);
        TA=pick(T_AC,[i,j]);
        TA=TW.*TA;
        TA=TA/sum(sum(TA));
        T_AC(sub2ind([numpol,numpol],i,j),:) = reshape(TA,1,numpol2);
        TB=pick(T_BC,[i,j]);
        TB=TW.*TB;
        TB=TB/sum(sum(TB));
        T_BC(sub2ind([numpol,numpol],i,j),:) = reshape(TB,1,numpol2);
    end
end
T_AI = T_AC;
T_BI = T_BC;

clear T TW TA TB i j

% there might be an easier way to do this than to use ctrans2...just calculate prob dist
% for prev policy, which is same for both candidates, then generate one dist for
% ideal point, then just take linear combination...