% This program creates a voter distribution in which the Plott conditions are nearly (but not quite) met

text_voters='Triangular conflict';
voterlocs=zeros(numvotes);

% This creates 3 voter locations forming a triangle under which the Plott conditions do not hold

hump1x=floor(numvotes*0.5);
hump1y=ceil(numvotes*0.25);
voterlocs(hump1x,hump1y)=11;

hump2x=ceil(numvotes*0.25);
hump2y=ceil(numvotes*0.75);
voterlocs(hump2x,hump2y)=10;

hump3x=floor(numvotes*0.75);
voterlocs(hump3x,hump2y)=10;


sumvoterlocs=sum(sum(voterlocs)');
voterlocs=voterlocs/sumvoterlocs;  % Normalizes so the total density sums to 1