% graphs surface plots of distributions

figure
surf(D_IP)
xlabel('x')
ylabel('y')
zlabel('Frequency')
title('Distribution of Incumbent Policies')

figure
surf(D_CP)
xlabel('x')
ylabel('y')
zlabel('Frequency')
title('Distribution of Challenger Policies')

cd ./misc;
uncovratio;
cd ..;


disp('----------------------------------------------------')
disp(' Summary statistics: Distributions')
disp('----------------------------------------------------')
disp('Mean of incumbent policy:')
disp(' ')
disp(mean(H_IP))
disp('Var-cov of incumbent policy:')
disp(' ')
disp(cov(H_IP))
disp('Mean of challenger policy:')
disp(' ')
disp(mean(H_CP))
disp('Var-cov of challenger policy:')
disp(' ')
disp(cov(H_CP))


% should add ability to save all run statistics here to file
% ...so should also establish naming convetion for files