function [T,varargout] = topcycle(XPY)

T=[];
t = size(XPY,1);
NW = zeros(size(XPY,1),1)-1;
for i=1:t
   W=XPY(i,:);
   prevsize=0;
   while NW(i)==-1
      W = sum([W; XPY(find(W>0),:)],1);
      Wsize = size(find(W>0),2);
      if (Wsize==t) | (Wsize==prevsize)
         NW(i) = Wsize;
         prevsize = 0;
      else
         prevsize = Wsize;
      end
   end
end
[i,j]=ind2sub([sqrt(t),sqrt(t)],find(NW==t));
T = unique([i,j],'rows');
if isempty(T)
   [i,j]=ind2sub([sqrt(t),sqrt(t)],find(NW==t-1));
   T = unique([i,j],'rows');
end
varargout={NW};