% Creates a transition matrix that produces a uniform search among the
% covering policies for a given status quo
% [billhauk 4/29/03]

xcheck=IP(2);
ycheck=IP(1);

covcheckvector=sub2ind([xsize^.5,xsize^.5],ycheck,xcheck);
checkvector=S(covcheckvector,1:xsize);
disp('part 2 done...');

coveringset=zeros(xsize^.5,xsize^.5);
for i=1:xsize^.5
    for j=1:xsize^.5
        coveringset(i,j)=checkvector(1,sub2ind([xsize^.5,xsize^.5],i,j));
    end
end
coveringset(ycheck,xcheck)=0;
coveringset=-1*(1-coveringset);
CTRANS=coveringset/(sum((sum(coveringset))'))