% This program creates a voter distribution that has n normal humps

text_voters='Multi-humped normal';
voterlocs=zeros(numvotes); 
humps=input('How many "humps" would you like your distribution to have? ');
for t=1:humps
   xhump=input('Enter the x coordinate for hump ');  % This input determines the coordinates of the peak of the hump
   yhump=input('Enter the y coordinate for hump ');
   sigma=input('Enter the standard deviation for hump ');  %This input determines the standard deviation of the hump
   for y=1:numvotes
      for x=1:numvotes
         dist=((x-xhump)^2+(y-yhump)^2)^.5;
         weight=1/(((2*pi)^.5)*sigma)*exp(-.5*(dist/sigma)^2);  % Humps are normally distributed with a standard
         voterlocs(y,x)=voterlocs(y,x)+weight;  % deviation as specified by sigma
      end
   end
end
sumvoterlocs=sum(sum(voterlocs)');
voterlocs=voterlocs/sumvoterlocs;  % Normalizes so the total density sums to 1
