function X = chkcond();
% Checks for Condorcet winner and, if they exist, return in matrix X.
% Requires WEAKPREF and CONDORCET.
%
% Use as a short-cut instead of WEAKPREF, CONDORCET when you only want
% to check for condorcet winners and don't care about examining other
% social choice results.
% [JW, 7/28/01] - need to test this function

X = condorcet(weakpref);
