function CW = condorcet(XRY)
% CW = condorcet(XRY)
% This finds the Condorcet winner(s) from the pref rel matrix XRY.
% If using WEAKPREF, then CONDORCET will find the weak Condorcet
% winners. It is basically just a shortcut for using NUMWINS (and
% requires NUMINS).
%
% [JW, 7/28/01]

numpol2 = length(XRY);
CW = numwins(XRY,numpol2);