% create a challenger transition matrix for model with ideological preferences

function C = ctrans_ideo(ppsig,ideal,idealsig,idealwt,eps);

global numpol numpol2

C = zeros(numpol2);

ID = normmat(ideal,idealsig,eps,numpol);

for i=1:numpol
   for j=1:numpol
      T = (1-idealwt)*normmat([i,j],ppsig,eps,numpol)+idealwt*ID;
      C(sub2ind([numpol,numpol],i,j),:)=reshape(T,1,numpol2);
   end
end