% This program creates a voter distribution that perturbs the Plott Conditions by a parameter perturb
% When perturb=0 there are voters located in four corners around the middle of the grid and the Plott Conditions hold
% As perturb increases, two of the voter masses shift in a clockwise direction so that they no longer hold

voterlocs=zeros(numvotes);
text_voters='New pplott 1';
perturb=input('Enter a number from 0 to 10 to determine to size of the Plott condition perturbation ');
midpoint=floor(numvotes/2)+1;
quarterpoint=floor(midpoint/2)-1;

% Mass 1 (fixed, left mass)
y=midpoint;
x=midpoint-quarterpoint;
voterlocs(y,x)=10/41;

% Mass 2 (fixed, bottom mass)
y=midpoint+quarterpoint;
x=midpoint;
voterlocs(y,x)=10/41;

% Mass 3 (mobile, top mass)
y=midpoint-quarterpoint;
x=midpoint;
voterlocs(y,x)=(10-perturb)/41;

% Mass 4 (mobile, right mass)
y=midpoint;
x=midpoint+quarterpoint;
voterlocs(y,x)=(10+perturb)/41;

% Mass 5 (fixed, center mass)
y=midpoint;
x=midpoint;
voterlocs(y,x)=1/41;