% graphs surface plots of distributions

figure
surf(D_IP)
xlabel('x')
ylabel('y')
zlabel('Frequency')
title('Distribution of Incumbent Policies')

figure
surf(D_CP)
xlabel('x')
ylabel('y')
zlabel('Frequency')
title('Distribution of Challenger Policies')

cd ./misc;
uncovratio;
cd ..;


disp('----------------------------------------------------')
disp(' Summary statistics: Distributions')
disp('----------------------------------------------------')
disp('Mean of incumbent policy:')
disp(' ')
disp(mean(H_IP))
disp('Var-cov of incumbent policy:')
disp(' ')
disp(cov(H_IP))
disp('Mean of challenger policy:')
disp(' ')
disp(mean(H_CP))
disp('Var-cov of challenger policy:')
disp(' ')
disp(cov(H_CP))




%R = regime(H_Iparty, H_Isvotes, H_IP);

%disp('----------------------------------------------------')
%disp(' Other statistics')
%disp('----------------------------------------------------')
%disp(['Average length of service: ', num2str(mean(R(:,2))),...
%        ' (', num2str(std(R(:,2))), ')'])
%disp(['Longest length of service: ', num2str(max(R(:,2)))])
%disp(['Pct of single termers: ', num2str(length(find(R(:,2)==1))/size(R,1))])
%disp(['Re-election rate: ', num2str(1-(size(R,1)-1)/size(H_IP,1))])
%disp(['Sophomore surge: ', num2str(mean(R(find(R(:,6)>0),6)-R(find(R(:,6))>0,5))),...
%        ' (', num2str(std(R(find(R(:,6)>0),6)-R(find(R(:,6))>0,5))),')'])

% should add ability to save all run statistics here to file
% ...so should also establish naming convetion for files