% create a challenger transition matrix for model with ideological preferences
mcec.ideo='Yes';
mcec.chl='Policy-motivated';
flag.ideo = 1;

ideo.ppvar = 3; %input('Enter variance for status quo component: ');
ideo.ppvar=eye(2)*ideo.ppvar;
ideo.p1 = [ceil(15*rand), ceil(15*rand)]; %input('Enter ideal point 1 [x,y]: ');
ideo.v1 = 3; %input('Enter variance for ideal point 1: ');
ideo.v1 = eye(2)*ideo.v1;
ideo.p2 = [ceil(15*rand), ceil(15*rand)]; %input('Enter ideal point 2 [x,y]: ');
ideo.v2 = 3; %input('Enter variance for ideal point 2: ');
ideo.v2 = eye(2)*ideo.v2;
ideo.wt = 1; %input('Enter weight to place on ideal points: ');
ideo.eps = 0.5; %input('Enter minimum probability: ');

text_search=strcat('Ideological preferences');

T_AC = ctrans_ideo(ideo.ppvar,ideo.p1,ideo.v1,ideo.wt,ideo.eps);
T_BC = ctrans_ideo(ideo.ppvar,ideo.p2,ideo.v2,ideo.wt,ideo.eps);

% there might be an easier way to do this than to use ctrans2...just calculate prob dist
% for prev policy, which is same for both candidates, then generate one dist for
% ideal point, then just take linear combination...