% Takes a given policy and returns the set of policies
% that cover the policy in question
% [billhauk 4/24/03]

xcheck=input('Enter the xvalue of the position you want to check');
ycheck=input('Enter the yvalue of the position you want to check');

XPY=strictpref; %returns a dominance matrix

totsize=size(XPY);
xsize=totsize(1,2);

disp('part 1 done...');

S=XPY+XPY^2; % technique from Banks 1985

S=S+eye(xsize); % because nothing can cover itself

for i=1:xsize
    for j=1:xsize
        if S(i,j)>0
            S(i,j)=1; %normalizes so S(i,j)=1 if xj does not cover xi (it could be 2)
        end
    end
end
covcheckvector=sub2ind([xsize^.5,xsize^.5],ycheck,xcheck);
checkvector=S(covcheckvector,1:xsize);
disp('part 2 done...');

coveringset=zeros(xsize^.5,xsize^.5);
for i=1:xsize^.5
    for j=1:xsize^.5
        coveringset(i,j)=checkvector(1,sub2ind([xsize^.5,xsize^.5],i,j));
    end
end

disp('Zeros indicate a policy that covers the policy in question');
coveringset
