function [varargout] = cyclesets(varargin)

if nargin==0
    XPY = strictpref;
end

IND = [];
LEV = [];
t = size(XPY,1);
tt = t;
X = XPY;

level = 1;
flag=0;

while flag==0
   % level
   [L,NW] = topcycle(X);
   i = find(NW==tt);
   if isempty(i)
      i = find(NW==tt-1);
      if isempty(i) | (tt-1==0)
         m = max(NW);
         i = find(NW==m);
         % disp({tt-m,length(i)})
         if (tt-m)~=length(i)
            if length(IND)~=t
               i=setdiff(1:t,IND)';
            end
         end
      end
   end
   len = length(i);
   IND=[IND; i];
   LEV = [LEV; repmat(level,len,1)];
   level = level+1;
   tt = tt-len;
   X(i,:)=zeros;
   X(:,i)=zeros;
   if length(IND)==t
      flag=1;
   end
end
IL = [IND,LEV];
T = sortrows(IL);   

varargout(1) = {reshape(T(:,2),sqrt(t),sqrt(t))};
if nargout >= 2
    varargout(2) = {IL};
end
    