% This program creates a voter distribution that perturbs the Plott Conditions by a parameter perturb
% When perturb=0 there are voters located in four corners around the middle of the grid and the Plott Conditions hold
% As perturb increases, two of the voter masses shift in a clockwise direction so that they no longer hold

voterlocs=zeros(numvotes);
text_voters='New pplott 1';
perturb=10 %input('Enter a number from 0 to 10 to determine to size of the Plott condition perturbation ');
%midpoint=floor(numvotes/2)+1;
%quarterpoint=floor(numvotes/2)-1;
%perturbangle=perturb*pi/20;

% Mass 1 (fixed, left mass)
y=3;
x=3;
voterlocs(y,x)=10/41;

% Mass 2 (fixed, bottom mass)
y=3+perturb;
x=13;
voterlocs(y,x)=10/41;

% Mass 3 (mobile, top mass)
y=13;  %y=midpoint-floor(quarterpoint*cos(perturbangle));
x=3;    %x=midpoint+floor(quarterpoint*sin(perturbangle));
voterlocs(y,x)=voterlocs(y,x)+10/41;

% Mass 4 (fixed, right mass)
y=13;   %y=midpoint;
x=13;   %x=midpoint+quarterpoint;
voterlocs(y,x)=voterlocs(y,x)+10/41;

% Mass 5 (fixed, center mass)
y=8; % y=midpoint;
x=8; %x=midpoint;
voterlocs(y,x)=1/41;