% subroutine for updating P and D when a button is pushed
% it will also update the numbers on the buttons
% [JW, 7/28/01]
dec = 3; % how many decimals to display
userdata=get(gco,'UserData');
T = zeros(numpol);
T(userdata(1),userdata(2)) = 10;		% number of voters to add
P = P+T			% note the lack of semi-colon, will display P in output window
figure(fig1)
cla
D = P/sum(sum(P));
surf(D)
axis([0,numpol+1,0,numpol+1,0,max(max(D))]);
% bar3(D)
for i=1:numpol^2
   [x,y]=ind2sub([numpol,numpol],i);
   q = num2str(round(D(x,y)*10^dec)/(10^dec));
   if length(q)>dec+2
      q = q(1:dec+2);
   end
   set(PG(x,y),'String',q);
end
clear dec userdata T q i x y