% create a challenger transition matrix for local uniform search

var = 3; %input('Enter desired variance: ');
sigma=eye(2)*var;
eps = 0; %input('Enter minimum probability: ');

text_search=strcat('Normal, variance=',num2str(var),' epsilon=',num2str(eps));

CTRANS = zeros(numpol2);
for i=1:numpol
   for j=1:numpol
      T=zeros(numpol);
      for m=1:numpol
         for n=1:numpol
            T(m,n)=mvnpdf([m;n],[i;j],sigma);
         end
      end  
      
      MT = T < eps;
      smt=sum(sum(MT));
         T=T*(1-smt*eps)/sum(sum(T));
         T=T+eps*MT;
        
      x = sum(sum(T));
      if round(sum(sum(T)))~=1
         disp('Error')
      end
      
      CTRANS(sub2ind([numpol,numpol],i,j),:)=reshape(T,1,numpol2);
   end
end
clear T MT i j m n smt x

