function T = topcycle2(XPY)

T=[];
t = size(XPY,1);
NW = zeros(size(XPY,1),1)-1;
for i=1:t
   W=XPY(i,:);
   prevsize=0;
   while NW(i)==-1
      W = sum([W; XPY(find(W>0),:)],1);
      Wsize = size(find(W>0),2);
      if (Wsize==t-1) | (Wsize==prevsize)
         NW(i) = Wsize;
      else
         prevsize = Wsize;
      end
   end
end
[i,j]=ind2sub([sqrt(t),sqrt(t)],find(NW==max(NW)));
T = unique([i,j],'rows');