% create a challenger transition matrix for model with ideological preferences

function C = ctrans_ideo2(incumpol,challpol,ppsig,incumsig,ideal,idealsig,idealwt,idealwt2,eps);

global numpol numpol2

C = zeros(numpol2);

ID = normmat(ideal,idealsig,eps,numpol);
IN = normmat(incumpol,incumsig,eps,numpol);
SQ = normmat(challpol,ppsig,eps,numpol);



T = (1-idealwt-idealwt2)*SQ+idealwt*ID+idealwt2*IN;
C=reshape(T,1,numpol2);